Bug 2242765 - Review Request: rust-codespan - Data structures for tracking locations in source code
Summary: Review Request: rust-codespan - Data structures for tracking locations in sou...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavol Zacik
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/codespan
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-08 20:21 UTC by Fabio Valentini
Modified: 2023-10-17 20:59 UTC (History)
2 users (show)

Fixed In Version: rust-codespan-0.11.1-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-17 20:59:38 UTC
Type: ---
Embargoed:
pzacik: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2023-10-08 20:21:50 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-codespan.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-codespan-0.11.1-1.fc39.src.rpm

Description:
Data structures for tracking locations in source code.

Fedora Account System Username: decathorpe

Comment 1 Fabio Valentini 2023-10-08 20:21:53 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=107238594

Comment 2 Fedora Review Service 2023-10-08 20:27:36 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6506436
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2242765-rust-codespan/fedora-rawhide-x86_64/06506436-rust-codespan/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Pavol Zacik 2023-10-16 12:55:14 UTC
Looks good to me, the package is created using rust2rpm, the license is OK, and all tests pass.

I should be sponsored in the next couple of days, so I will approve then.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     codespan-devel , rust-codespan+default-devel , rust-codespan+serde-
     devel , rust-codespan+serialization-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-codespan-devel-0.11.1-1.fc40.noarch.rpm
          rust-codespan+default-devel-0.11.1-1.fc40.noarch.rpm
          rust-codespan+serde-devel-0.11.1-1.fc40.noarch.rpm
          rust-codespan+serialization-devel-0.11.1-1.fc40.noarch.rpm
          rust-codespan-0.11.1-1.fc40.src.rpm
=========================================================================================================== rpmlint session starts ===========================================================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp9zuifaw7')]
checks: 31, packages: 5

rust-codespan+default-devel.noarch: W: no-documentation
rust-codespan+serde-devel.noarch: W: no-documentation
rust-codespan+serialization-devel.noarch: W: no-documentation
============================================================================ 5 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.2 s ============================================================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 4

rust-codespan+serde-devel.noarch: W: no-documentation
rust-codespan+serialization-devel.noarch: W: no-documentation
rust-codespan+default-devel.noarch: W: no-documentation
 4 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://github.com/brendanzab/codespan/raw/fd389a1/LICENSE :
  CHECKSUM(SHA256) this package     : c71d239df91726fc519c6eb72d318ec65820627232b2f796219e87dcf35d0ab4
  CHECKSUM(SHA256) upstream package : c71d239df91726fc519c6eb72d318ec65820627232b2f796219e87dcf35d0ab4
https://crates.io/api/v1/crates/codespan/0.11.1/download#/codespan-0.11.1.crate :
  CHECKSUM(SHA256) this package     : 3362992a0d9f1dd7c3d0e89e0ab2bb540b7a95fea8cd798090e758fda2899b5e
  CHECKSUM(SHA256) upstream package : 3362992a0d9f1dd7c3d0e89e0ab2bb540b7a95fea8cd798090e758fda2899b5e


Requires
--------
rust-codespan-devel (rpmlib, GLIBC filtered):
    (crate(codespan-reporting/default) >= 0.11.1 with crate(codespan-reporting/default) < 0.12.0~)
    cargo

rust-codespan+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(codespan)

rust-codespan+serde-devel (rpmlib, GLIBC filtered):
    (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0~)
    (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0~)
    cargo
    crate(codespan)

rust-codespan+serialization-devel (rpmlib, GLIBC filtered):
    (crate(codespan-reporting/serialization) >= 0.11.1 with crate(codespan-reporting/serialization) < 0.12.0~)
    cargo
    crate(codespan)
    crate(codespan/serde)



Provides
--------
rust-codespan-devel:
    crate(codespan)
    rust-codespan-devel

rust-codespan+default-devel:
    crate(codespan/default)
    rust-codespan+default-devel

rust-codespan+serde-devel:
    crate(codespan/serde)
    rust-codespan+serde-devel

rust-codespan+serialization-devel:
    crate(codespan/serialization)
    rust-codespan+serialization-devel



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2242765
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: SugarActivity, Perl, C/C++, fonts, PHP, Python, Java, Haskell, Ocaml, R
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 4 Pavol Zacik 2023-10-17 08:12:55 UTC
Just one thing:

Is upstream completely inactive at this point? Could you open an issue/PR to include the
license file in the crate, and link the issue/PR in the specfile?
(https://docs.fedoraproject.org/en-US/packaging-guidelines/Rust/#_package_sources_2)

Comment 5 Fabio Valentini 2023-10-17 09:48:14 UTC
Thanks for the review!
I've filed a PR with the upstream project to include the license file in published crates, and added a link to it to the spec file.
https://github.com/brendanzab/codespan/pull/355

Comment 6 Pavol Zacik 2023-10-17 10:53:45 UTC
Thanks, approved!

Comment 7 Fedora Admin user for bugzilla script actions 2023-10-17 20:34:51 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-codespan

Comment 8 Fabio Valentini 2023-10-17 20:59:38 UTC
Imported and built:
https://bodhi.fedoraproject.org/updates/FEDORA-2023-34c3a96666


Note You need to log in before you can comment on or make changes to this bug.